function filenum, filein, str=str
   
   if n_elements(filein) eq 0 then return, -1
   if n_elements(filein) gt 1 then begin
      if keyword_set(str) then out = strarr(n_elements(filein)) $
                          else out = lonarr(n_elements(filein))
      for j = 0, n_elements(filein)-1 do begin
         out[j] = filenum(filein[j], str=str)
      endfor 
      return, out
   endif

   file = filein
   file = strmid(file,strpos(file,'/',/reverse_search))
   file = strmid(file,strpos(file,'_',/reverse_search))

   ps = strlen(file)
   pf = 0
   for d = 0, 9 do begin
      pil = strpos(file,strtrim(string(d),2))
      pir = strpos(file,strtrim(string(d),2), /reverse_search)
      if pil gt 0 and pil lt ps then ps = pil
      if pir gt 0 and pir gt pf then pf = pir
   endfor
   num = strmid(file,ps,pf-ps+1)

   if keyword_set(str) then return, clip(num) $
                       else return, long(num)

end

