function headread, filename ;, body=body

  ; Reads a FITS-like header from an ASCII file.
  ; Almost identical to headspec, but uses the END card.

  openr, 1, filename
  inline = ''
  header = ['']
  i = 0
  while not eof(1) do begin
     readf, 1, inline
     inline = clip(inline)
     if strlen(inline) eq 0 then continue
     if strmid(inline,0,1) eq '#' then begin
        inline = clip(strmid(inline,1))
        hline = processheaderline(inline)
        if hline ne '' then begin
          header = [header, clip(hline,78)]  ; might not be strictly valid
        endif
        if strmid(inline,0,3) eq 'END' then break
     endif
  endwhile
  if n_elements(header) gt 1 then header = header[1:*]

  close, 1

  return, header
end

