pro sortheader, h

  ; Sorts a FITS header to put all the history commands at the end.  
  ; Modifies in place.

  h = h[where(strpos(h,'END ') ne 0)]
  whist = where(strpos(h,'HISTORY') eq 0 or strpos(h,'COMMENT') eq 0, $
                complement=wnonhist, cthist, ncomplement=ctnonhist)

  hnew = h[wnonhist]
  if cthist gt 0 then hnew = [hnew, h[whist]]
  hnew = [hnew, clip('END',64)]

  h = hnew
end

