function wmeanunc, unc
   ; determine the expected uncertainty on a weighted mean
   ; see weightedmean
   ; see discussion at http://physics.stackexchange.com/questions/15197/how-do-you-find-the-uncertainty-of-an-weighted-average

   w = (1./unc)^2 ; weight
   relw = w/total(w)   

   munc = sqrt(total((relw*unc)^2.))

   return, munc

end

