; Program in development for printing information on the PI, observer, etc. from a list of files.

pro lrisarchivecat, filestr
   f = findfile(filestr)
   nch = max(strlen(f))

   for i = 0, n_elements(f)-1 do begin
      if strpos(f[i], '.fits') gt 0 then h = headfits(f[i])
      if strpos(f[i], '.spec') gt 0 then h = headspec(f[i])

      print, clip(f[i], nch)+' '+ $ 
             clip(sxpar(h,'DATE_BEG'),19)+' '+$
             clip(sxpar(h,'PROGID'),8)+' '+$ 
             clip(sxpar(h,'PROGPI'),16)+' '+$ 
             clip(sxpar(h,'OBSERVER'),16)+' '+$
             clip(sxpar(h,'TARGNAME'),16)+' '+$
             clip(sxpar(h,'RA'),16)+' '+$
             clip(sxpar(h,'DEC'),16)+' '+$
             clip(sxpar(h,'TOTALEXP'),16)+' ' 
   endfor
   
end

