; Writes a script that then can be run externally to update the dependencies
; subdirectory (which contains non-LRIS-specific IDL programs needed by the
; pipeline.)
;
; General users will not use this program.
;

pro copydependencies

  readcol, 'dependencies.list', deps, format='a', /silent

  openw, 1, 'copydependencies.src'
  for d = 0, n_elements(deps)-1 do begin
     if strpos(deps[d],'.') eq -1 then $
       file = '../'+deps[d]+'.pro' $
     else $
       file = '../'+deps[d]
    check = file_test(file)
    if check eq 0 then begin
       print, 'WARNING - ' + file + ' not found!'
    endif
    printf, 1, 'cp -pf '+file+' dependencies/'
  endfor

  close, 1

  print, 'Run "source copydependencies.src" to update dependencies'

end
