; Experimental routine in development, do not use


function findedges, arr, relthreshold, absthreshold
  if n_elements(relthreshold) eq 0 then relthreshold = 0.05
  if n_elements(absthreshold) eq 0 then absthreshold = 30
  
  m = max(arr)
  arr1 = shift(arr,01)
  diff = arr-arr1
  diff[0] = 0

  threshold = max([relthreshold*m, absthreshold])

  w = where(abs(diff) gt threshold and $
            (arr lt median(arr)*1.1 or arr1 lt median(arr)*1.1), ct)
  if ct eq 0 then return, -1  
  
  return, w

end


pro inferlrissettings, imagename

  im = readfits(imagename, h)
  
  s = size(im)
  nx = s[1]
  ny = s[2]
  
  medx1 = lonarr(nx)
  medx2 = lonarr(nx)
  medx3 = lonarr(nx)
  medy1 = lonarr(ny)
  medy2 = lonarr(ny)
  medy3 = lonarr(ny)
  
  for x = 0, nx-1 do begin
    medx1[x] = median(im[x,ny/8:3*ny/8])
    medx2[x] = median(im[x,3*ny/8:5*ny/8])
    medx3[x] = median(im[x,5*ny/6:7*ny/8])
  endfor
  for y = 0, ny-1 do begin
    medy1[y] = median(im[nx/8:3*nx/8,y])
    medy2[y] = median(im[3*nx/8:5*nx/8,y])
    medy3[y] = median(im[5*nx/6:7*nx/8,y])
  endfor

  plot, medy2, /ylog, /ysty
  oplot, medy1, color=rgb(0,0,255)
  oplot, medy3, color=rgb(255,0,0)

  print, 'Image dimensions: ', clip(nx), ' x ', clip(ny)
  print, 'Physical CCD dimensions are 4096 x 4096'


  edgesx = findedges(medx2)+1
  for i = 0, n_elements(edgesx)-1 do begin
    print, ' Possible boundary at ', clip(edgesx[i]), '/', clip(edgesx[i]+1), ' (1-origin coordinates)'
  endfor

  ;print, findedges(medx1)+1
  ;print, findedges(medx3)+1
  print, findedges(medy1)+1
  print, findedges(medy2)+1
  print, findedges(medy3)+1
  
  print, 'Current values of BSEC/DSEC:'
  key = ['BSEC1','BSEC2','BSEC3','BSEC4',$
         'DSEC1','DSEC2','DSEC3','DSEC4']
  for k = 0, n_elements(key)-1 do begin
    val = sxpar(h,key[k], count=ct)
    print, key[k], ' ', ct gt 0 ? val : ' (absent) '
  endfor


end
